Package org.eclipse.microprofile.openapi.apps.airlines.model

# Class CreditCard

java.lang.Object
org.eclipse.microprofile.openapi.apps.airlines.model.CreditCard

public class CreditCard extends Object

## Method Summary

Modifier and Type
Method
Description
`String`
`getCardholderName()`
`String`
`getCardNumber()`
`String`
`getCvv()`
`String`
`getExpiryDate()`
`String`
`getIssuer()`
`void`
`setCardholderName(String cardholderName)`
`void`
`setCardNumber(String cardNumber)`
`void`
`setCvv(String cvv)`
`void`
`setExpiryDate(String expiryDate)`
`void`
`setIssuer(String issuer)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getIssuer

public String getIssuer()

### setIssuer

public void setIssuer(String issuer)

### getCardholderName

public String getCardholderName()

### setCardholderName

public void setCardholderName(String cardholderName)

### getCardNumber

public String getCardNumber()

### setCardNumber

public void setCardNumber(String cardNumber)

### getCvv

public String getCvv()

### setCvv

public void setCvv(String cvv)

### getExpiryDate

public String getExpiryDate()

### setExpiryDate

public void setExpiryDate(String expiryDate)